function y = EQ_BalBud(x,T,P,Rpath,POPpath);

GLOBALS 

y      = zeros(2*T+1,size(x,2));
FILL1  = ones(T,1);
FILL2  = ones(1,size(x,2));

tau    = exp(x(1:T,:))./(1+exp(x(1:T,:)));
ca     = exp(x(T+1:2*T,:));
lambda = x(2*T+1,:)*100;

R      = Rpath*FILL2;
ETA    = ETApath*FILL2;
EFF    = EFFpath*FILL2;
POP    = POPpath*FILL2;
B      = B0;
G      = G0;
Rhat   = 1 + R;
P      = P*FILL2;
BETA   = (bta.^(0:T-1))'*FILL2;
L      = FILL1 * lambda;

KY     = theta ./ ((1+tauPI).*R + delta);
w      = (1-theta)*KY.^(theta/(1-theta)); 

h = ((1-tau).*EFF.*w./(zeta.*(1+gmma).*ca.*(1+tauC))).^(1/gmma);

h=max(1e-6,h);
h=min(h,.9999);

ci     = U1(ca,h).^(-1/muI);


vecU1  = ETA.*U1(ca,h);

H      = ETA.*EFF.*h;
K      = KY.^(1/(1-theta)).*POP.*H;
Y      = K.^theta .* (POP.*H).^(1-theta);
C      = ETA.*ca + (1-ETA).*ci;

% =====================================================================
% First condition: GBC
% =====================================================================
y(1:T,:) = R*D0 + POP .* (G + B - tau.*w.*H - tauC*C) - tauPI*R.*K;
 
% =====================================================================
% Second condition: Household FOC ca(t)
% =====================================================================
y(T+1:2*T,:) = BETA.*vecU1 - (1+tauC) * L .* P .* ETA;

% =====================================================================
% Third condition: Household BC
% =====================================================================
hbc1   = (1+tauC)*(ETA.*ca+(1-ETA).*ci) - (1-tau).*ETA.*EFF.*w.*h - B;
hbc2   = sum(P.*POP.*hbc1);
rrr    = Rhat(end);
hbc3   = P(end,1) * POP(end,1) * hbc1(end,:) / (rrr * (1-1/rrr));
y(2*T+1,:) = hbc2 + hbc3 - Rhat(1)*A0;
