% Generate Figure I
% Report demographic change

clear all
tt = 1950:2050;
qq = 1:101;
ii = qq(1:10:end);
jj = qq(4:10:end);
kk = qq(7:10:end);

load popdata\depratio

set(0,'Units','pixels');
x      = 3;
figpos = [75,75,207*x,291*x*.7];
r=2.3;   c=2.1; p3=c+1; offs=r-2;
ax     = [tt(1) tt(end) .46 .64];

f1=figure('Position',figpos,'PaperType','A4');

subplot(r,c,2)
plot(tt,eta(1,:),'k',tt,eta(2,:),'b-',tt,eta(3,:),'r-',tt,eta(4,:),'m-',...
    tt(ii),eta(2,ii),'bo',tt(jj),eta(3,jj),'rd',tt(kk),eta(4,kk),'mp','LineWidth',1,'MarkerSize',5)
axis(ax);
[ll,obj_h]=legend('Denmark','Finland','Norway','Sweden',3);
legend('boxoff')
lltxt = get(ll,'Children');
set(lltxt(9),'FontSize',8)
set(obj_h(5),'Marker','o');
set(obj_h(7),'Marker','d');
set(obj_h(9),'Marker','p');
set(obj_h(5),'Color','b');
set(obj_h(7),'Color','r');
set(obj_h(9),'Color','m');


subplot(r,c,1)
plot(tt,eta(6,:),'k',tt,eta(8,:),'b-',tt,eta(9,:),'r-',tt,eta(5,:),'m-',...
    tt(ii),eta(8,ii),'bo',tt(jj),eta(9,jj),'rd',tt(kk),eta(5,kk),'mp','LineWidth',1,'MarkerSize',5)
axis(ax);
[ll,obj_h]=legend('Belgium','Germany','Netherlands','U.K.',3);
legend('boxoff')
lltxt = get(ll,'Children');
set(lltxt(9),'FontSize',8)
set(obj_h(5),'Marker','o');
set(obj_h(7),'Marker','d');
set(obj_h(9),'Marker','p');
set(obj_h(5),'Color','b');
set(obj_h(7),'Color','r');
set(obj_h(9),'Color','m');

subplot(r,c,p3);
plot(tt,eta(7,:),'k',tt,eta(10,:),'b-',tt,eta(11,:),'r-',tt,eta(12,:),'m-',...
    tt(ii),eta(10,ii),'bo',tt(jj),eta(11,jj),'rd',tt(kk),eta(12,kk),'mp','LineWidth',1,'MarkerSize',5)
axis(ax);
[ll,obj_h]=legend('France','Italy','Spain','Portugal',3);
legend('boxoff')
lltxt = get(ll,'Children');
set(lltxt(9),'FontSize',8)
set(obj_h(5),'Marker','o');
set(obj_h(7),'Marker','d');
set(obj_h(9),'Marker','p');
set(obj_h(5),'Color','b');
set(obj_h(7),'Color','r');
set(obj_h(9),'Color','m');
xlabel('year')

subplot(r,c,p3+1);
plot(tt,eta(13,:),'k',tt,eta(15,:),'b-',tt,eta(14,:),'r-',...
    tt(ii),eta(15,ii),'bo',tt(jj),eta(14,jj),'rd','LineWidth',1,'MarkerSize',5)
axis(ax);
[ll,obj_h]=legend('Canada','Japan','USA',4);
legend('boxoff')
lltxt = get(ll,'Children');
set(lltxt(7),'FontSize',8)
set(obj_h(5),'Marker','o');
set(obj_h(7),'Marker','d');
set(obj_h(5),'Color','b');
set(obj_h(7),'Color','r');
xlabel('year')


set(f1,'ResizeFcn','')

print -depsc figure1