% Generate Figure III
% Report capital flows

clear all
load results\res_OP

% Net foreign wealth (% of domestic output) in new ss
y      = [res.Y];
a      = [res.a];
d      = [res.d];
k      = [res.K];
nfw    = (a-(d+k))./y;


% Report capital exports from EU and the US
p0    = [res.pop0];
cex   = nfw.*y.*(ones(150,1)*p0);
cex   = (cex(2:end,:)-cex(1:end-1,:))./(y(1:end-1,14)*ones(1,15))/p0(14);  % exports relative to US output
cexUS = 100*cex(:,14);
cexJP = 100*cex(:,15);
ieu   = [1 2 4 5 6 7 8 9 10 11 12];
cexEU = 100*sum(cex(:,ieu)')';

plot(2001:2100,cexUS(1:100),'b-',2001:2100,cexEU(1:100),'r-',2001:2100,cexJP(1:100),'m-',...
     2003:10:2100,cexEU(3:10:100),'ro', 2006:10:2100,cexJP(6:10:100),'md',...
     'LineWidth',1.2,'MarkerSize',5)
[lltxt,obj_h]=legend('US','EU','Japan');
legend('boxoff')
set(lltxt,'FontSize',8)
set(obj_h(5),'Marker','o');
set(obj_h(7),'Marker','d');
set(obj_h(5),'Color','r');
set(obj_h(7),'Color','m');
xlabel('year')
ylabel('export of capital, % of US output') 

print -depsc figure3