clear all
FIGURES = 0;

data=load('no_euro.asc');
data2=load('we_euro.asc');
data3=load('so_euro.asc');
data4=load('no_amer.asc');


% Load Japanese population data
data5=load('japan.asc');
index = 1;
Jpop  = zeros(101,17);
for i = 1:5:41
    for j = 1:17
        Jpop(i,j) = data5(index);
        index     = index + 3;
    end
end
for i = 46:5:101
    for j = 1:16
        Jpop(i,j) = data5(index);
        index     = index + 3;
    end
    Jpop(i,17)    = sum(data5(index+[0 3 6 9 12]));
    index         = index + 15;
end
for i = 1:5:96
    popgrowth = (Jpop(i+5,:) ./ Jpop(i,:)).^(1/5);
    for j = 1:4; 
        Jpop(i+j,:) = Jpop(i,:).*popgrowth.^j;
    end
end
Jpop = [ones(101,1)*999 (1950:2050)' ones(101,1)*3 Jpop zeros(101,5)];

  
data = [data; data2; data3; data4; Jpop];
data(find(data)==-1)=0;          % replace missing values


% country codes:
% Denmark  = 208
% Finland  = 246
% Norway   = 578
% Sweden   = 752
% U.K.     = 826
% Belgium  = 56
% France   = 250
% Germany  = 276
% Netherl. = 528
% Japan    = 999
ccode = [208 246 578 752 826 56 250 276 528 380 620 724 124 840 999];
country = [...
   'Denmark  '; ...
   'Finland  '; ...
   'Norway   '; ...
   'Sweden   '; ...
   'U.K.     '; ...
   'Belgium  '; ...
   'France   '; ...
   'Germany  '; ...
   'Netherl. '; ...
   'Italy    '; ...
   'Portugal '; ...
   'Spain    '; ...
   'Canada   '; ...
   'USA      '; ...
   'Japan    '];

% Initiate country specific values
% yTarget = target for initial gdp per capita relative to US
% reduc   = Adema's (2001) reduction factor
% Note: b in column 3 is adjusted by factor reduc
% tauH tauC  b      d  yTarget reduc
init_values = [...
0.428 0.257 0.136 0.516 0.83 0.239; ...
0.445 0.227 0.169 0.406 0.69 0.195; ...
0.355 0.269 0.114 0.332 0.91 0.170; ...
0.485 0.187 0.145 0.644 0.73 0.221; ...
0.210 0.169 0.146 0.492 0.70 0.028; ...
0.397 0.187 0.162 1.110 0.75 0.090; ...
0.402 0.180 0.177 0.646 0.70 0.076; ...
0.359 0.158 0.153 0.617 0.74 0.076; ...
0.410 0.187 0.140 0.606 0.77 0.230; ...
0.363 0.160 0.147 1.152 0.71 0.128; ...
0.227 0.205 0.106 0.554 0.50 0.128; ...
0.304 0.137 0.127 0.706 0.56 0.128; ...
0.287 0.131 0.069 0.825 0.80 0.129; ...
0.226 0.061 0.070 0.571 1.00 0.040; ...
0.240 0.067 0.072 1.234 0.79 0.024];


age_part = [65.9 84.6 84.7 82.5 59.3];     % Participation rates for ages
                                           % 16-24, 25-34, 35-44, 45-54, 55-64
                                           % source = Fullerton H. N., Monthly Labor Review, 1999(112), 3-12
age_prod = [0.71 0.99 1.15 1.15 1.11];     % Productivity for ages
                                           % 20-24, 25-34, 35-44, 45-54, 55-64
                                           % source = Hansen, G. D., J. of Applied Econometrics, 1993(8), 71-80

save_agestruct = zeros(length(ccode),18);
all_g = [0.269 0.250 0.264 0.265 0.112 0.192 0.190 0.178 0.234 0.171 0.170 0.156 0.192 0.126]';
% all_g = total public consumption as was solved from benchmark economy

for i = 1:length(ccode)

    iTotPop = find((data(:,1)==ccode(i)) & (data(:,3)==3));
    ii = iTotPop;

    deprat(i,:) = (sum(data(ii,5:8)')+sum(data(ii,18:end)'))./sum(data(ii,9:17)');
    yngrat(i,:) = sum(data(ii,5:8)')./sum(data(ii,9:17)');
    oldrat(i,:) = sum(data(ii,18:end)')./sum(data(ii,9:17)');
    totpop(i,:) = sum(data(ii,5:end)');
    eta(i,:)    = sum(data(ii,9:17)')./totpop(i,:);

    for t = 1:length(ii)
        workfracs(1)    = data(ii(t),9) / totpop(i,t);
        workfracs(2)    = sum(data(ii(t),10:11)) / totpop(i,t);
        workfracs(3)    = sum(data(ii(t),12:13)) / totpop(i,t);
        workfracs(4)    = sum(data(ii(t),14:15)) / totpop(i,t);
        workfracs(5)    = sum(data(ii(t),16:17)) / totpop(i,t);
        eff_labsup(i,t) = sum(workfracs.*age_part.*age_prod);
    end

eff_labsup(i,:) = eff_labsup(i,:)./eff_labsup(i,51);      % Effective lab. supply relative to year 2000

end

eff = (eff_labsup.*(eta(:,51)*ones(1,101)))./eta;         % Efficiency of labor force relative to year 2000



if FIGURES

set(0,'DefaultAxesLineStyleOrder','-|-+|-o|-x|-*|-d|-s|-p');
set(0,'DefaultAxesColorOrder',[0 0 0]);

figure('PaperType','a4')
orient tall
subplot(2,1,1)
plot(1950:2050,deprat(1:7,:)');
legend(country(1:7,:),-1)
title('Dependency ratio')
subplot(2,1,2)
plot(1950:2050,deprat(8:15,:)');
legend(country(8:15,:),-1)

figure('PaperType','a4')
orient tall
subplot(2,1,1)
plot(1950:2050,yngrat(1:7,:)');
legend(country(1:7,:),-1)
title('Young per worker')
subplot(2,1,2)
plot(1950:2050,yngrat(8:15,:)');
legend(country(8:15,:),-1)

figure('PaperType','a4')
orient tall
subplot(2,1,1)
plot(1950:2050,oldrat(1:7,:)');
legend(country(1:7,:),-1)
title('Old per worker')
subplot(2,1,2)
plot(1950:2050,oldrat(8:15,:)');
legend(country(8:15,:),-1)

figure('PaperType','a4')
orient tall
subplot(2,1,1)
plot(1950:2050,eta(1:7,:)');
legend(country(1:7,:),-1)
title('Worker share')
subplot(2,1,2)
plot(1950:2050,eta(8:15,:)');
legend(country(8:15,:),-1)

figure('PaperType','a4')
orient tall
subplot(2,1,1)
plot(1950:2050,eff_labsup(1:7,:)');
legend(country(1:7,:),-1)
title('Effective labor supply')
subplot(2,1,2)
plot(1950:2050,eff_labsup(8:15,:)');
legend(country(8:15,:),-1)


else
  prints('Figures suppressed',0)
end

% Save dependency ratio. Used to generate Figure 1.
save depratio eta

ETApath        = eta(1:15,51:end);
EFFpath        = eff(1:15,51:end);
POPpath        = totpop(1:15,51:end);
world_pop      = sum(totpop(:,51:end));
country_weight = POPpath./(ones(15,1)*world_pop);
save countryValues ETApath EFFpath POPpath init_values country_weight


% World economy
world_mtrx = init_values(:,1:5);   % tauH tauC b d y_target
world_avg  = sum(world_mtrx(:,1:4).*(country_weight(:,1)*ones(1,4)));
world_wrk  = sum(eta(:,51:end).*totpop(:,51:end));
world_eta  = world_wrk./world_pop;
world_eff  = sum(eff(:,51:end).*totpop(:,51:end));
world_eff  = world_eff./world_pop;
