% Generate Table V
% Report demographic change

clear all
load popdata\countryvalues
load results\initial_ss
load results\res_op

delta    = .1;
theta    = .36;
tauPI    = .4;

qq       = 1:150;

cty_txt  = ['dk'; 'fi'; 'no'; 'sw'; 'uk'; 'be'; ...
           'fr'; 'de'; 'nl'; 'it'; 'po'; 'sp'; ...
           'ca'; 'us'; 'jp'];

fprintf(1,'         Budget surplus     Tax increase\n')
fprintf(1,'cy:       2010    2030        impact    \n')
for cty = [6 13 1 2 7 8 10 15 9 3 11 12 4 5 14]
    rr   = res(cty);
    y    = rr.Y(qq);
    d    = rr.d(qq);
    r    = rr.Rpath(qq);
    tau  = rr.tau(qq);    
    h    = rr.h(qq);
    ee   = rr.eta(qq);
    ef   = rr.eff(qq);
    p    = rr.pop(qq);
    H    = ee.*ef.*h;
    C    = rr.C;
    tauC = init_values(cty,2);
    K    = rr.K;

    KY   = theta ./ ((1+tauPI).*r + delta);
    w    = (1-theta)*KY.^(theta/(1-theta)); 
    
    surp = (tau.*p.*H.*w + tauPI*r.*K + tauC.*p.*C - (initialG(cty) + initialB(cty)).*p - r.*d) ./ y;
    fprintf(1,'%2s:      %5.1f   %5.1f        %5.1f\n',cty_txt(cty,:),...
              100*[mean(surp(2:11)) mean(surp(2:31)) tau(1)-initialTAU(cty)])
end




